main{
    margin:0;
    padding:0;
}

html{
    font-family:sans-serif;
}

body{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header{
    position: relative;
    display:flex;
    background-color: hsl(0, 70%, 40%);
    padding: 28px 30px 50px 30px;
    justify-content: space-between;
    box-shadow: 0px 4px 4px 0px rgb(51, 20, 20);

}

h1{
    color:white;
    font-size: 40px;
    font-weight: 400;
    line-height: 55px;
    letter-spacing: 0em;
    text-align: left;
    align-self: center;

}

nav{
    display: flex;
    margin: 0;
    justify-content: center;

}

nav a{
    padding:1rem;
}

menu{
    align-self: center;
}

a{
    margin:0;
    align-self: center;
    text-decoration: none;
    color: white;
  
}

footer a{
        margin:0;
        align-self: center;
        text-decoration: none;
        color: white;
}

.linkdecontato{
    color:white;
    border: 3px solid black;
    padding: .5rem 1rem;
    filter:contrast(100%) ;
    background-color: rgb(73, 73, 73);
    border-radius: 3px;
    transition: 0.1s;
}

.linkdecontato:hover{
    filter: contrast(40%);
}

header a:hover{
    text-decoration: underline;
}

.escudomengao{
    height: 80px;
    width: 65px;
    justify-self:center;
    align-self: flex-end;
    position: absolute;
    z-index: 3;
    left:50%;
    bottom:0;
    transform: translate(-50%, 50%);
    
}

.fotogabi{
    transition: 0.1s;
}

.fotogabi:hover{
    transform: scale(1.1);
}

figure > img{
    width: 15.4375rem;
    height: 15.4375rem;
    flex-shrink: 0;
    border-radius: 15.4375rem;
    box-shadow: 4px 4px 4px 0px rgb(0, 0, 0);      
}

.area_resumo{
    flex-wrap: wrap;
    display:flex;
    justify-content: center;
    align-items: center;
    padding: 50px;
    gap: 50px;
    background-color: rgb(18, 16, 16);
    box-shadow: 0px 2px 20px 0px rgb(0, 0, 0);
}

.tituloapres{
    font-weight: 500;
    font-size:27px ;
    color: white;
    top: 66px;
    padding: 0px 0px 3px 0px;
}

h2{
    color: rgb(0, 0, 0);
    font-weight: 600;
    top: 66px;
    left: 599px;
    padding: 0px 0px 3px 0px;

}

.apresentacao{
    color:white;
    width:45vw;
    top: 117px;
    left: 599px;
    margin: 0;
    padding: 0px 0px 14px 0px;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: left;
    flex-wrap: wrap;
}

.areatop5{
    background-color: white;
    flex-wrap: wrap;
    flex-flow: row wrap;
    display:flex;
    justify-content: space-evenly;
    align-items: center;
    top: 26.6rem;
    padding: 1.3rem;
    gap: 4rem;
}

.titulohobbies{
    font-weight: 500;
    align-self: end;
    font-size:27px ;
    color: rgb(0, 0, 0);
    top: 66px;
    left: 599px;
    padding: 0px;;
}

.titulopuffles{
    font-weight: 500;
    align-self:start;
    font-size:27px ;
    color: rgb(0, 0, 0);
    top: 66px;
    left: 599px;
    padding: 0px;
}

li{
    margin-top: 15px;
    color: white;
}

.box{
    display: flex;
    align-items: flex-end;
    flex-wrap: wrap;
    background-color: rgba(0, 0, 0, 0.869);
    border-radius: 10px;
    height: 150px;
    width: 102px;
    padding: 10px;
    border-radius: 5px;
    gap: 10px;
    position:relative;
}

.hobbies{
    display: flex;
    padding: 1.25rem;
    flex-direction: column;
    align-items: center;
    gap: 1.625rem;
    align-content:center;
}

.puffles{
    display: flex;
    padding: 1.25rem;
    flex-direction: column;
    align-items:center;
    gap: 1.625rem;
    align-content: center;
}

.itenshobbies{
    display: flex;
    flex-wrap: wrap;
    justify-content:space-evenly ;
    align-items: center;
    gap: 20px;
}

.itenspuffles{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 20px;
}

.itenspuffles span{
    position:absolute;
    top: 0px;
    left: 15px;
    padding:10% 5%;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: hsl(0, 70%, 40%);
}
/************* FOOTER *************/
footer{
    margin-top: auto;
    display: flex;
    padding: 1rem 2rem;
    align-items: center;
    justify-content: space-between;
    background-color: hsl(0, 70%, 40%);
}


/******************* MEDIA ******************/

@media (max-width: 792px){
    .apresentacao{
        width: auto;
    }

    footer{
        display: flex;
        padding: 1rem 2rem;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 1.5625rem; 
    }

    figure > img{
        width:auto;
        margin-top: 30%;
    }
}   

@media(max-width: 1565px){
    .titulohobbies{
        align-self: start;
    }
}
